%define upstream_name    Statistics-Descriptive
%define upstream_version 3.0801

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Module of basic descriptive statistical functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Statistics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Benchmark)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides basic functions used in descriptive statistics. It has an
object oriented design and supports two different types of data storage and
calculation objects: sparse and full. With the sparse method, none of the data
is stored and only a few statistical measures are available. Using the full
method, the entire data set is retained and additional functions are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Statistics
%{_mandir}/*/*

%changelog
* Tue Aug 29 2023 tv <tv> 3.80.100-1.mga10
+ Revision: 1981016
- update to 3.0801

* Mon Mar 21 2022 umeabot <umeabot> 3.80.0-2.mga9
+ Revision: 1813414
- Mageia 9 Mass Rebuild

* Sun Oct 18 2020 tv <tv> 3.80.0-1.mga8
+ Revision: 1636743
- update to 3.0800

* Fri Feb 14 2020 umeabot <umeabot> 3.70.200-2.mga8
+ Revision: 1519949
- Mageia 8 Mass Rebuild

* Fri Oct 26 2018 tv <tv> 3.70.200-1.mga7
+ Revision: 1325633
- update to 3.0702

* Thu Sep 20 2018 umeabot <umeabot> 3.70.100-2.mga7
+ Revision: 1286115
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 3.70.100-1.mga7
+ Revision: 1254039
- update to 3.0701

* Wed May 02 2018 shlomif <shlomif> 3.61.300-1.mga7
+ Revision: 1224593
- update to 3.0613

* Sun Jun 19 2016 pterjan <pterjan> 3.61.200-2.mga6
+ Revision: 1033342
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.61.200-1.mga6
+ Revision: 1002296
- update to 3.0612

* Fri Feb 19 2016 umeabot <umeabot> 3.60.900-2.mga6
+ Revision: 968153
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 3.60.900-1.mga6
+ Revision: 851392
- update to 3.0609

* Wed Oct 15 2014 umeabot <umeabot> 3.60.700-4.mga5
+ Revision: 744505
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.60.700-3.mga5
+ Revision: 733413
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.60.700-2.mga5
+ Revision: 686228
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 3.60.700-1.mga5
+ Revision: 588643
- update to 3.0607

* Sat Oct 19 2013 umeabot <umeabot> 3.60.500-2.mga4
+ Revision: 527301
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 3.60.500-1.mga4
+ Revision: 439881
- update to 3.0605

* Sun Jan 13 2013 umeabot <umeabot> 3.60.400-2.mga3
+ Revision: 372764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 3.60.400-1.mga3
+ Revision: 286494
- update to 3.0604

* Tue Jun 05 2012 jquelin <jquelin> 3.60.300-1.mga3
+ Revision: 255466
- update to 3.0603

* Mon Mar 05 2012 jquelin <jquelin> 3.40.0-1.mga2
+ Revision: 218797
- update to 3.0400

* Thu Feb 23 2012 jquelin <jquelin> 3.30.0-1.mga2
+ Revision: 213178
- update to 3.0300

* Sat Nov 19 2011 takashi <takashi> 3.20.300-1.mga2
+ Revision: 169058
- update to 3.0203
+ jquelin <jquelin>
- update to 3.0202

* Tue Jan 18 2011 jquelin <jquelin> 3.20.100-1.mga1
+ Revision: 22830
- cleaning spec file
- imported package perl-Statistics-Descriptive

